// file: $USFS/class/ppm/v1.0/ppm_dbg_0.cc
//

// isip include files
//
#include "ppm.h"

#include <integral_constants.h>
#include "ppm_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) a open file pointer
//  char_1* message: (input) a message to be displayed
//
// return: a char_1* containing the class name
//
logical_1 Ppm::debug_cc(FILE *fp_a, char_1* message_a){
  
  // dump the internal data
  //
  if (fname_d != (char_1*)NULL) {
    fprintf(fp_a, "<%s::%s> fname_d = %s\n",
	    PPM_CLASS_NAME, (char*)message_a, (char*)fname_d);
  }
  else {
    fprintf(fp_a, "<%s::%s> fname_d = NULL\n",
	    PPM_CLASS_NAME, (char*)message_a);
  }
  
  fprintf(fp_a, "<%s::%s> fp_d = %lu\n",
	  PPM_CLASS_NAME, (char*)message_a, (uint_4)fp_d);

  if (magic_number_d != (char_1*)NULL) {
    fprintf(fp_a, "<%s::%s> magic_number_d = %s\n",
	    PPM_CLASS_NAME, (char*)message_a, (char*)magic_number_d);
  }
  else {
    fprintf(fp_a, "<%s::%s> magic_number_d = NULL\n",
	    PPM_CLASS_NAME, (char*)message_a);
  }

  fprintf(fp_a, "<%s::%s> width_d = %ld\n",
	  PPM_CLASS_NAME, (char*)message_a, width_d);
  fprintf(fp_a, "<%s::%s> height_d = %ld\n",
	  PPM_CLASS_NAME, (char*)message_a, height_d);
  fprintf(fp_a, "<%s::%s> max_colors_d = %ld\n",
	  PPM_CLASS_NAME, (char*)message_a, max_colors_d);

  fprintf(fp_a, "<%s::%s> beg_d = %ld\n",
	  PPM_CLASS_NAME, (char*)message_a, beg_d);

  // exit gracefully
  //
  return ISIP_TRUE;
}
